Subject: Re: bug#14970: crash deleting frames

From: martin rudalics <[email-masked]>
Date: Mon, 29 Jul 2013 19:03:40 +0200

> The original crash was a SIGSEGV because f was a null pointer, and
 > FRAME_SELECTED_WINDOW dereferenced it.  But FRAME_LIVE_P also
 > dereferences its argument, so it would have crashed with the same
 > SIGSEGV.

Indeed.  I was confusing FRAME_LIVE_P and Fframe_live_p.  Thanks for the
clarification.

martin